Bug 107478 - Xbae-4.50.0-5.src.rpm does not build agaist 0.95
Summary: Xbae-4.50.0-5.src.rpm does not build agaist 0.95
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xbae (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-10-19 00:48 UTC by Pasi Pirhonen
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-21 08:32:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Pasi Pirhonen 2003-10-19 00:48:26 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030910
Debian/1.4-4.he-1

Description of problem:
build fails as following

Checking for unpackaged file(s): /usr/lib/rpm/check-files
/var/tmp/Xbae-4.50.0-5-root
error: Installed (but unpackaged) file(s) found:
   /usr/share/aclocal/ac_find_xbae.m4


RPM build errors:
    Installed (but unpackaged) file(s) found:
   /usr/share/aclocal/ac_find_xbae.m4

Possible solution might be something like:

--- Xbae.spec.orig      2003-06-17 18:43:08.000000000 +0300
+++ Xbae.spec   2003-10-19 03:38:40.000000000 +0300
@@ -1,7 +1,7 @@
 Summary: The Motif matrix and caption widgets.
 Name: Xbae
 Version: 4.50.0
-Release: 5
+Release: 6
 License: Distributable
 Group: System Environment/Libraries
 Source: ftp://ftp.x.org/contrib/widgets/motif/Xbae-%{version}.tar.gz
@@ -73,6 +73,7 @@
 %{prefix}/%{_lib}/*.a
 %{prefix}/%{_lib}/*.la
 %{prefix}/%{name}
+%{_datadir}/aclocal/*
 
 %changelog
 * Tue Jun 17 2003 Than Ngo <than@redhat.com> 4.50.0-5

which fixes the build at least. Dunno about correct method.


Version-Release number of selected component (if applicable):
Xbae-4.50.0-5

How reproducible:
Always

Steps to Reproduce:
1. Try to rebuild against Fedora Core 0.95
2.
3.
    

Actual Results:  Fails to rebuild


Additional info:

Comment 1 Ngo Than 2003-10-21 08:32:22 UTC
it's fixed in 4.50.2-2, which will be available in rawhide soon, thanks for your
report.


Note You need to log in before you can comment on or make changes to this bug.